Переполнение буфера в SIPp

Дата публикации:
06.05.2008
Всего просмотров:
949
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SIPp 3.x
Уязвимые версии: SIPp 3.1, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в функциях "get_remote_ip_media()" и "get_remote_ipv6_media()" в файле call.cpp. Удаленный пользователь может с помощью специально сформированного SIP сообщения вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: sipp.sourceforge.net

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA